mvnForum Homepage Welcome Guest  | Guest Setting  |  Register  |   Login
  Search  
Index  | Recent Threads  | Unanswered Threads  | Who's Online  | User List  | Help


»

No member browsing this thread
Thread Status: Active
Total posts in this thread: 2
Post new Thread
Author
Previous Thread This topic has been viewed 3755 times and has 1 reply Next Thread
Male Ant_Eater
Stranger




Joined: Jul 19, 2004
Post Count: 1
Status: Offline
Reply to this Post  Reply with Quote 
compile problem with Slackware 10.0

I've been trying to build sword 1.5.7 on Slackware 10 (gcc 3.3.4) so that I can create Slackware packages for Sword and Bibletime 1.4.1. I initially had problems with compiling and edited src/mgr/installmgr.cpp changing the line:

curl_easy_setopt(curl, CURLOPT_VERBOSE, TRUE);

to read:
curl_easy_setopt(curl, CURLOPT_VERBOSE, true);

Now, when I build sword I get errors about not being able to find Lucene:

----------------START_SNIP --------------------------------------------------
g++ -DHAVE_CONFIG_H -I. -I. -I.. -I../include -DUSE_AUTOTOOLS -DUNIX -O2 -march=i486 -mcpu=i686 -O2 -march=i486 -mcpu=i686 -ftemplate-depth-25 -DCURLAVAILABLE -DUSELUCENE -MT rawtext.lo -MD -MP -MF .deps/rawtext.Tpo -c ../src/modules/texts/rawtext/rawtext.cpp -fPIC -DPIC
../src/modules/texts/rawtext/rawtext.cpp:22:29: CLucene/CLucene.h: No such file or directory
../src/modules/texts/rawtext/rawtext.cpp:24: error: namespace `queryParser'
undeclared
----------------END_SNIP --------------------------------------------------
This is followed by a long series of errors before the make terminates. I have curl 7.12.0 installed (which has the libs and headers included). What needs to be done to have this build complete?

- Mark
[Jul 19, 2004 8:44:42 AM] Show Printable Version of Post    View Member Profile    Send Private Message    anteater098 [Link] Report threatening or abusive post: please login first  Go to top 
Male jansorg
Developer
Member's Avatar


Joined: Nov 15, 2003
Post Count: 88
Status: Offline
Reply to this Post  Reply with Quote 
Re: compile problem with Slackware 10.0

Try to use http://www.crosswire.org/~dglassey/sword-1.5.7a-rc2.tar.gz instead, which is the release-candidate for the upcoming 1.5.7a bugfix-release.

It should work without poblems. If it doesn't, please let us know,

Joachimh
[Jul 24, 2004 3:06:12 AM] Show Printable Version of Post    View Member Profile    Send Private Message [Link] Report threatening or abusive post: please login first  Go to top 
Show Printable Version of Thread  Post new Thread